DASAlignmentCall (BioJava-1.5-beta API)
Keywords: org.biojava.bio.program.das.dasalignment.DASAlignmentCall class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.das.dasalignment
Class DASAlignmentCall

    java.lang.Object
      org.biojava.bio.program.das.dasalignment.DASAlignmentCall

    public class DASAlignmentCall

extends Object

takes care of the communication with a DAS Alignment service.

Since:
  1.4
Version:
  %I% %G%
Author:
  Andreas Prlic

Constructor Summary
`DASAlignmentCall()` Constructs a DASAlignmentCall object.
`DASAlignmentCall(String url)` Constructs a DASAlignmentCall object.

Method Summary
`Alignment[]` | `getAlignments()` connect to a DAS alignment service and retreive alignments.
`Alignment[]` | `getAlignments(String query)` connect to a DAS alignment service and retreive data.
`String` | `getServerurl()` get url of alignment service.
`Alignment[]` | `parseDASResponse(InputStream inStream)` parse the Response of a DAS ALignment service and return a biojava Alignment object.
`void` | `setServerurl(String s)` set url of aligmnent service.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DASAlignmentCall

    public DASAlignmentCall()

  Constructs a DASAlignmentCall object.

### DASAlignmentCall

    public DASAlignmentCall(String url)

  Constructs a DASAlignmentCall object.

  Parameters:
    `url` - a String ...

Method Detail

### setServerurl

    public void setServerurl(String s)

  set url of aligmnent service.

  Parameters:
    `s` - a String specifying the serverurl value
  See Also:
    `getServerurl()`

### getServerurl

    public String getServerurl()

  get url of alignment service.

  Returns:
    a String representing the serverurl value
  See Also:
    `setServerurl(java.lang.String)`

### getAlignments

    public Alignment[] getAlignments()
                              throws IOException

  connect to a DAS alignment service and retreive alignments. return Alignment objects. uses the serverurl specified in the constructore to create http request

  Returns:
    an array of Alignment objects
  Throws:
    `IOException` - ...

### getAlignments

    public Alignment[] getAlignments(String query)
                              throws IOException

  connect to a DAS alignment service and retreive data. return a biojava Alignment object.

  Parameters:
    `query` - a String
  Returns:
    an array of Alignment objects
  Throws:
    `IOException` - ...

### parseDASResponse

    public Alignment[] parseDASResponse(InputStream inStream)
                                 throws IOException,
                                        SAXException

  parse the Response of a DAS ALignment service and return a biojava Alignment object.

  Throws:
    `IOException`
    `SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD